| Home | Libraries | People | FAQ | More

## Function template partition_copy

boost::compute::partition_copy

## Synopsis

    // In header: <boost/compute/algorithm/partition_copy.hpp>

    template<typename InputIterator, typename OutputIterator1,
             typename OutputIterator2, typename UnaryPredicate>
      std::pair< OutputIterator1, OutputIterator2 >
      partition_copy(InputIterator first, InputIterator last,
                     OutputIterator1 first_true, OutputIterator2 first_false,
                     UnaryPredicate predicate,
                     command_queue & queue = system::default_queue());

## Description

Copies all of the elements in the range [`first`, `last`) for which `predicate` returns `true` to the range beginning at `first_true` and all of the elements for which `predicate` returns `false` to the range beginning at `first_false`.

See Also:

partition()